# coding: utf-8
import subprocess

import flet as ft
from hrefft_text import readme,result0
from subprocess import run

def main(page: ft.Page):

    txt_key = ft.TextField(value="")
    txt_result = ft.TextField(value=result0,multiline=True,min_lines=1,max_lines=20,width=450)

    def do_search(e):
        arg = "href " + txt_key.value
        try:
            startupinfo = subprocess.STARTUPINFO()
            startupinfo.dwFlags |= subprocess.STARTF_USESHOWWINDOW
            startupinfo.wShowWindow = subprocess.SW_HIDE
            cp = run(arg,startupinfo=startupinfo, capture_output=True)

            txt_result.value= cp.stdout.decode('cp932')
        except:
            txt_result.vaalue= cp.stderr
        page.update()

    t = ft.Tabs(
        selected_index=0,
        animation_duration=300,
        tabs=[
            ft.Tab(
                text="検索ページ",
                icon=ft.icons.SEARCH,
                content=
                    ft.Column([
                        ft.Row([ft.Text(u"検索したい関数やモジュール名")],
                               alignment=ft.alignment.center),
                        ft.Row([txt_key,
                                    ft.IconButton(ft.icons.SEARCH,on_click=do_search)],
                               alignment=ft.alignment.center),
                        ft.Row([txt_result,],
                               ),
                    ], ),


                ),
            ft.Tab(
                text="ReadME",
                content=ft.Container(
                    ft.TextField(value=readme,
                                    read_only=True, multiline=True),
                ),
            ),
        ],
        expand=1,
    )



    page.title = "href : haskell basic reference"
    page.window_width = 500
    page.add(t)

ft.app(target=main)

